---
description: Tracks the number of requests that have exceeded the rate limit for the `POST /code_suggestions/completions` API endpoint.
internal_events: true
action: code_suggestions_rate_limit_exceeded
label_description:
property_description:
value_description:
extra_properties:
identifiers:
- user
product_group: code_creation
milestone: "16.7"
introduced_by_url: https://gitlab.com/gitlab-org/gitlab/-/merge_requests/133969
distributions:
- ee
tiers:
- premium
- ultimate
